function b = le( p, q )
% PN/LE ( p <= q )
% see a concept of partially ordered Mikusinski space
% some PNs are not comparable, i.e. ~(p <= q) and ~(p >= q) 
%
%A.Kubaszek, RzUT, 2007-002-03, v.1.0

    b = isnonnegative( q - p ); % PN(q), PN(p) in minus.m
    
end %function