function r = mrdivide(p,q)
% PN/MRDIVIDE   r = p / q  
%
%A.Kubaszek, RzUT, 2007-002-03, v.1.0


p = PN(p);
q = PN(q);
if ( isscalar(q.mant) )
    r = p;
    r.mant = (1/q.mant(1)) * r.mant;
    return;
end
%TODO: optimization (inv. using conv)
p.mant(max([length(p.mant) length(q.mant)])+length(q.mant)-1) = 0; %add trailing zeros
[m,dump] = deconv(p.mant, q.mant); %#ok<NASGU>

%TODO: Alternative conception DoNotTruncation
r = PN( m , double(p.exponent) - double(q.exponent));

end %function