disp('===================================')
disp(' Test of get and set')
disp('===================================')
%
%A.Kubaszek, RzUT, 2007-002-03, v.1.0

% get
% =====================================================================
    p = PN([ 1 -2 -3.3 4.4 ], 1) %#ok<NOPRT>
    m = get(p,'mant').'; disp('p.mant.''='); disp( m );
    e = get(p,'exponent'); disp('p.exponent'); disp( e );
    if ( ~isequal( m, [1 -2 -3.3 4.4 ]) || (e ~= 1) ); error('PN get ERROR!'); end
    
% set
% =====================================================================

    p = PN();
    p = set(p,'mant',[11 22 33].') %#ok<NOPRT>
    if ( ~strcmp(char(p),'(~ 11 ~, 22 ~ 33 ~)') ); error('PN set ERROR!'); end
    
    p = set(p,'mant',[1.1 2.2 3.3]) %#ok<NOPRT>
    if ( ~strcmp(char(p),'(~ 1.1 ~, 2.2 ~ 3.3 ~)') ); error('PN set ERROR!'); end
    
    p = set(p,'exponent',-123) %#ok<NOPRT>
    if ( ~strcmp(char(p),'(~ 1.1 ~, 2.2 ~ 3.3 ~)*(~1~0~)^-123') ); error('PN set ERROR!'); end
