disp('===================================')
disp(' Test PN operators r = p ^ a')
disp('===================================')
%
%A.Kubaszek, RzUT, 2007-002-05, v.1.0

% =====================================================================
    p = PN([ 2 -1 3 -4 ], 0)        %#ok<NOPRT>
    a = 2                           %#ok<NOPRT>
    
    p*p                             %#ok<NOPRT>
    r = p ^ a                       %#ok<NOPRT>
    if ( ~strcmp(char(r),'(~ 4 ~, -4 ~ 13 ~ -22 ~)') ); error('1.PN ^ ERROR!'); end

    q = r ^ 0.5                     %#ok<NOPRT>
    if ( ~strcmp(char(q),'(~ 2 ~, -1 ~ 3 ~ -4 ~)') ); error('2.PN ^ ERROR!'); end


    p = PN(p, 1)        %#ok<NOPRT>
    
    r = p ^ a                       %#ok<NOPRT>
    if ( ~strcmp(char(r),'(~ 4 ~, -4 ~ 13 ~ -22 ~)*(~1~0~)^2') ); error('3.PN ^ ERROR!'); end

    q = r ^ 0.5                     %#ok<NOPRT>
    if ( ~strcmp(char(q),'(~ 2 ~, -1 ~ 3 ~ -4 ~)*(~1~0~)^1') ); error('4.PN ^ ERROR!'); end
    
    n = -r                          %#ok<NOPRT>
    lasterr('');
    try
        n ^ 0.5; %#ok<VUNUS>
    catch
        fprintf('\t ___ an error should occur ___ \n%s\n\n',lasterr);
        if ( isempty(findstr(lasterr,'Realpow produced complex result.')) ), error('5.PN ^ ERROR!'); end;
    end

    lasterr('');
    try
        r ^ (1/3); %#ok<VUNUS>
    catch
        fprintf('\t ___ an error should occur ___ \n%s\n\n',lasterr);
        if ( isempty(findstr(lasterr,'PN exponent in result must be integer')) ), error('6.PN ^ ERROR!'); end;
    end
    