disp('===================================')
disp(' Test of subref')
disp('===================================')
%
%A.Kubaszek, RzUT, 2007-002-03, v.1.0

% subref .
% =====================================================================
    disp('p.exponent, p.mant'); 
    disp('------------------');

    p = PN([ 5.1 -4.5 -7.9 333 ], 2) %#ok<NOPRT>
    m = p.mant.'; disp('p.mant.''='); disp( m );
    disp('p.exponent='); disp( p.exponent );
    if ( ~isequal( m, [5.1 -4.5 -7.9 333]) || (p.exponent ~= 2) ); error('PN subref ERROR!'); end

% subref()
% =====================================================================
    p = PN([ 5.2 -4.5 -7.9 333 ], 2) %#ok<NOPRT>
    i=-1;
    disp( ['p(' num2str(i) ')='] )
    disp( p(i) )
    if ( p(i) ~= -4.5 ); error('PN subref ERROR!'); end
    

    i=-3:3;
    disp( ['p(' mat2str(i) ')='] )
    disp( p(i) )
    if ( ~isequal( p(i), [0 5.2 -4.5 -7.9 333 0 0]) ); error('PN subref ERROR!'); end

    p = PN([ 5.3 -4.5 -7.9 333 ], -2) %#ok<NOPRT>
    i=0:6;
    disp( ['p(' mat2str(i) ')='] )
    disp( p(i) )
    if ( ~isequal( p(i), [0 0 5.3 -4.5 -7.9 333 0]) ); error('PN subref ERROR!'); end
