function b = ge( p, q )
% PN/GE ( p >= q )
% see a concept of partially ordered Mikusinski space
% some PNs are not comparable, i.e. ~(p >= q) and ~(p <= q) 
%
%A.Kubaszek, RzUT, 2007-002-03, v.1.0

    b = isnonnegative( p - q ); % PN(p), PN(q) in minus.m
    
end %function