function r = plus(p,q)
% PN/PLUS   r = p + q
%
%A.Kubaszek, RzUT, 2007-002-03, v.1.0

%TODO: Alternative conception DoNotTruncation

p = PN(p);
q = PN(q);
%AlwaysNormalized conception
if ( p.mant(1) == 0 ), r = q; return; end % iszeroAfterNorm( p )
if ( q.mant(1) == 0 ), r = p; return; end % iszeroAfterNorm( q )
k = double(p.exponent) - double(q.exponent);
dl = length(p.mant) - length(q.mant);%length(r.mant)=max[length(p.mant) length(q.mant)]
if ( k >= 0 )
%TODO: Alternative conception DoNotTruncation (fill zeros)
    r = p; % r=PN(p);
    m2 = q.mant;
    if ( dl < 0 ), r.mant = [ r.mant; zeros(-dl,1) ]; end
else
    k = -k;
    r = q;
    m2 = p.mant;
    if ( dl > 0 ), r.mant = [ r.mant; zeros(dl,1) ]; end
end
%modify part of r.mant
if ( k < length(r.mant) )
    m = r.mant(k+1:end);
    if ( length(m) < length (m2) )
        m2(length(m)+1:end) = [];
    elseif ( length(m) > length (m2) )
        m(length(m2)+1:end) = [];
    end
    m = m + m2;
    r.mant(k+1:k+length(m)) = m;
end

%AlwaysNormalized conception
r = normalized( r );

end %function