disp('===================================')
disp(' Test PN operators * /')
disp('===================================')
%
%A.Kubaszek, RzUT, 2007-002-03, v.1.0

% =====================================================================
    p = PN([ 1 2 3 4 ], 10)         %#ok<NOPRT>
    q = PN([ 10 20 30 ], 1)         %#ok<NOPRT>

    r = p * q                       %#ok<NOPRT>
    if ( ~strcmp(char(r),'(~ 10 ~, 40 ~ 100 ~ 160 ~)*(~1~0~)^11') ); error('1. PN * ERROR!'); end

    x = r / p                       %#ok<NOPRT>
    if ( ~strcmp(char(x),'(~ 10 ~, 20 ~ 30 ~ 0 ~)*(~1~0~)^1') ); error('2. PN * ERROR!'); end
    
    y = r / q                       %#ok<NOPRT>
    if ( ~strcmp(char(y),'(~ 1 ~, 2 ~ 3 ~ 4 ~)*(~1~0~)^10') ); error('3. PN / ERROR!'); end

    z = p * 0.1                     %#ok<NOPRT>
    if ( ~strcmp(char(z),'(~ 0.1 ~, 0.2 ~ 0.3 ~ 0.4 ~)*(~1~0~)^10') ); error('4. PN * ERROR!'); end
    z = 0.1 * p                     %#ok<NOPRT>
    if ( ~strcmp(char(z),'(~ 0.1 ~, 0.2 ~ 0.3 ~ 0.4 ~)*(~1~0~)^10') ); error('4. PN * ERROR!'); end

    d = p / 2                     %#ok<NOPRT>
    if ( ~strcmp(char(d),'(~ 0.5 ~, 1 ~ 1.5 ~ 2 ~)*(~1~0~)^10') ); error('5. PN / ERROR!'); end
    
    