disp('===================================')
disp(' Test of subsasgn ')
disp('===================================')
%
%A.Kubaszek, RzUT, 2007-002-03, v.1.0

% subsasgn .
% =====================================================================
    disp('p.exponent, p.mant'); 
    disp('------------------');

    p = PN([ 1 -2 -3 4 ], 1) %#ok<NOPRT>
    p.mant = [0.1 0.3]; p.exponent = -100;
    display(p);
    if ( ~strcmp(char(p),'(~ 0.1 ~, 0.3 ~)*(~1~0~)^-100') ); error('1.PN subsasgn ERROR!'); end
% subsasgn ()
% =====================================================================
    p = PN([ 1 -2 -3 4 ], 1) %#ok<NOPRT>
    p(-1)=100.01;    display(p);
    if ( ~strcmp(char(p),'(~ 100.01 ~, -2 ~ -3 ~ 4 ~)*(~1~0~)^1') ); error('2.PN subsasgn ERROR!'); end

    p = PN([ 1 -2 -3 4 ], 1) %#ok<NOPRT>
    p(0)=20.002;    display(p);
    if ( ~strcmp(char(p),'(~ 1 ~, 20.002 ~ -3 ~ 4 ~)*(~1~0~)^1') ); error('3.PN subsasgn ERROR!'); end

    p = PN([ 1 -2 -3 4 ], 1) %#ok<NOPRT>
    p(1)=11011;    display(p);
    if ( ~strcmp(char(p),'(~ 1 ~, -2 ~ 11011 ~ 4 ~)*(~1~0~)^1') ); error('4.PN subsasgn ERROR!'); end

    p = PN([ 1 -2 -3 4 ], 1) %#ok<NOPRT>
    p(4)=987654321;  display(p);
    if ( ~strcmp(char(p),'(~ 1 ~, -2 ~ -3 ~ 4 ~)*(~1~0~)^1') ); error('5.PN subsasgn ERROR!'); end

    p = PN([ 1 -2 -3 4 ], 1) %#ok<NOPRT>
    p(-3)=21212121;    display(p);
    if ( ~strcmp(char(p),'(~ 21212121 ~, 0 ~ 1 ~ -2 ~)*(~1~0~)^3') ); error('6.PN subsasgn ERROR!'); end
    
    p = PN([ 1 -2 -3 4 ], 1) %#ok<NOPRT>
    p(-1:1)=[1212121 10000001 99999999999];    display(p);
    if ( ~strcmp(char(p),'(~ 1212121 ~, 10000001 ~ 99999999999 ~ 4 ~)*(~1~0~)^1') ); error('7.PN subsasgn ERROR!'); end

    p = PN([ 1 -2 -3 4 ], 1) %#ok<NOPRT>
    p(-3:-1)=[21212121 10000001 99999999999];    display(p);
    if ( ~strcmp(char(p),'(~ 21212121 ~, 10000001 ~ 99999999999 ~ -2 ~)*(~1~0~)^3') ); error('8.PN subsasgn ERROR!'); end

    p = PN([ 1 -2 -3 4 ], 1) %#ok<NOPRT>
    p(2:4)=[31212121 10000001 99999999999];    display(p);
    if ( ~strcmp(char(p),'(~ 1 ~, -2 ~ -3 ~ 31212121 ~)*(~1~0~)^1') ); error('9.PN subsasgn ERROR!'); end
    
